package com.sckw.slope.detection.dao.mysql;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sckw.slope.detection.model.dos.mysql.KwsDict;
import com.sckw.slope.detection.model.vo.QueryDictTypePageReqVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
@DS("mysql")
public interface KwsDictMapper extends BaseMapper<KwsDict> {
    int deleteByPrimaryKey(Long id);

    int insert(KwsDict record);

    int insertSelective(KwsDict record);

    KwsDict selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(KwsDict record);

    int updateByPrimaryKey(KwsDict record);

    List<QueryDictTypePageReqVo> selectListAll(@Param("reqVo") QueryDictTypePageReqVo reqVo);
}